Subject: Re: Fava Beans

From: [email-masked] (Shava Nerad Averett)
Date: 29 May 1993 18:19:35 GMT

Fava beans are not legumes, i.e. not in the leguminosae.  They are closer
relatives of the russell lupins that one sees in the gardens of more 
temperate climates.  Favas are very short seasoned, and are the only
bean-like crop native to northern europe.  They are so well adapted to 
cool weather, that in subtropical places, (like North Carolina and 
Egypt...;) the only way to grow a good crop of them is to grow them over
the winter.

-- 
Shava Nerad Averett				[email-masked]
/*  all original materials (c)1993, Shava Nerad Averett, and have nothing 
    significant to do with the University of North Carolina, a mostly owned 
    subsidiary of the NC Legislature, a mostly owned subsidiary of NC DOT. */